<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

/**
 * Class AMCMSPage
 */
class AMCMSPage extends AMController
{
	public function getCMSPages()
	{
		$order = Tools::getValue('order', array(array('column' => 0, 'dir' => 'ASC')));
		$columns = Tools::getValue('columns', array());

		$start = (int)Tools::getValue('start', 0);
		$length = (int)Tools::getValue('length', 25);
		$search = Tools::getValue('search', '');

		if (isset($columns[$order[0]['column']]['data']))
			$orderfld = Tools::strtolower($columns[$order[0]['column']]['data']);
		else
			$orderfld = '';

		if (isset($order[0]['dir']))
			$orderdir = Tools::strtoupper($order[0]['dir']);
		else
			$orderdir = '';

		$langs = Language::getLanguages();

		$this->getModel('CMSPage');
		$model_cmspages = new AMCMSPageModel();
		$cmspages = $model_cmspages->getCMSPages($this->context->language->id, $search, $start, $length, $orderfld, $orderdir);
		$cmspages_total = $model_cmspages->getNumCMSPages($search);

		$data = array();
		$c = 0;

		foreach ($cmspages as $cmspage)
		{
			$data[$c] = array();

			$data[$c]['entity'] = 'cmspages';
			$data[$c]['entity_item_id'] = $cmspage['id_cms'];

			foreach ($langs as $lang)
			{
				$cmspage_lang = new CMS($cmspage['id_cms'], $lang['id_lang']);

				$data[$c]['text']['lang_id_'.$lang['id_lang']] = $cmspage_lang->meta_title;
			}

			$data[$c] = (object)$data[$c];
			$c++;
		}

		return Tools::jsonEncode(array(
			'recordsTotal' => $cmspages_total,
			'recordsFiltered' => $cmspages_total,
			'data' => $data
		));
	}
}