<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

/**
 * Class AMCategory
 */
class AMCategory extends AMController
{
	public function getCategories()
	{
		$id_category_parent = (int)Tools::getValue('key', 2);
		$search = trim(Tools::getValue('search', ''));
		$langs = Language::getLanguages();
		$default_lang = $this->context->language->id;

		$this->getModel('Category');
		$model_categories = new AMCategoryModel();
		$categories = $model_categories->getCategories($default_lang, $id_category_parent, $search);

		$data = array();
		$c = 0;

		foreach ($categories as $category)
		{
			$data[$c] = array();
			$data[$c]['key'] = $category['id_category'];
			$data[$c]['title'] = $category['name'];
			$data[$c]['folder'] = true;

			$data[$c]['entity'] = 'categories';
			$data[$c]['entity_item_id'] = $category['id_category'];

			if ($search == '')
			{
				$var_bool = (bool)$model_categories->getChildrenCount($category['id_category']);

				$data[$c]['expanded'] = !$var_bool;
				$data[$c]['lazy'] = $var_bool;
			}
			else
			{
				$data[$c]['expanded'] = true;
				$data[$c]['lazy'] = false;
			}

			foreach ($langs as $lang)
			{
				$category_lang = new Category($category['id_category'], $lang['id_lang']);

				$data[$c]['text']['lang_id_'.$lang['id_lang']] = $category_lang->name;
			}

			$data[$c] = (object)$data[$c];
			$c++;
		}

		return Tools::jsonEncode($data);
	}
}