<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

/**
 * Class AMManufacturer
 */
class AMManufacturer extends AMController
{
	public function getManufacturers()
	{
		$order = Tools::getValue('order', array(array('column' => 0, 'dir' => 'ASC')));
		$columns = Tools::getValue('columns', array());

		$start = (int)Tools::getValue('start', 0);
		$length = (int)Tools::getValue('length', 25);
		$search = Tools::getValue('search', '');

		if (isset($columns[$order[0]['column']]['data']))
			$orderfld = Tools::strtolower($columns[$order[0]['column']]['data']);
		else
			$orderfld = '';

		if (isset($order[0]['dir']))
			$orderdir = Tools::strtoupper($order[0]['dir']);
		else
			$orderdir = '';

		$this->getModel('Manufacturer');
		$model_manufacturers = new AMManufacturerModel();
		$manufacturers = $model_manufacturers->getManufacturers($search, $start, $length, $orderfld, $orderdir);
		$manufacturers_total = $model_manufacturers->getNumManufacturers($search);

		$data = array();
		$c = 0;

		foreach ($manufacturers as $manufacturer)
		{
			$data[$c] = array();

			$data[$c]['entity'] = 'manufacturers';
			$data[$c]['entity_item_id'] = $manufacturer['id_manufacturer'];
			$data[$c]['text'] = $manufacturer['name'];

			$data[$c] = (object)$data[$c];
			$c++;
		}

		return Tools::jsonEncode(array(
			'recordsTotal' => $manufacturers_total,
			'recordsFiltered' => $manufacturers_total,
			'data' => $data
		));
	}
}