<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

/**
 * Class AMProduct
 */
class AMProduct extends AMController
{
	public function getProducts()
	{
		$order = Tools::getValue('order', array(array('column' => 0, 'dir' => 'ASC')));
		$columns = Tools::getValue('columns', array());

		$start = (int)Tools::getValue('start', 0);
		$length = (int)Tools::getValue('length', 25);
		$category_id = (int)Tools::getValue('id_category', null);
		$search = Tools::getValue('search', '');

		if (isset($columns[$order[0]['column']]['data']))
			$orderfld = Tools::strtolower($columns[$order[0]['column']]['data']);
		else
			$orderfld = '';

		if (isset($order[0]['dir']))
			$orderdir = Tools::strtoupper($order[0]['dir']);
		else
			$orderdir = '';

		$langs = Language::getLanguages();

		$this->getModel('Product');
		$model_products = new AMProductModel();
		$products = $model_products->getProducts($this->context->language->id, $category_id, $search, $start, $length, $orderfld, $orderdir);
		$products_total = $model_products->getNumProducts($category_id, $search);

		$data = array();
		$c = 0;

		foreach ($products as $product)
		{
			$data[$c] = array();

			$data[$c]['entity'] = 'products';
			$data[$c]['entity_item_id'] = $product['id_product'];

			foreach ($langs as $lang)
			{
				$product_lang = new Product($product['id_product'], false, $lang['id_lang']);

				$data[$c]['text']['lang_id_'.$lang['id_lang']] = $product_lang->name;
			}

			$data[$c] = (object)$data[$c];
			$c++;
		}

		return Tools::jsonEncode(array(
			'recordsTotal' => $products_total,
			'recordsFiltered' => $products_total,
			'data' => $data
		));
	}
}