<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

/**
 * Class AMHelperFunctions
 */
class AMHelperFunctions
{
	public static function filterSearchQuery($search_query = '', $keys = array())
	{
		$search_query = trim($search_query);
		$search_items = array();

		foreach ($keys as $key)
		{
			$pattern = '/'.$key.'\s*:\s*[^:]*((?='.implode('\s*:)|(?=', $keys).'\s*:)|($))/i';
			preg_match($pattern, $search_query, $matches);

			if (isset($matches[0]))
				$search_value = preg_replace('/\s+/', ' ', $matches[0]);
			else
				$search_value = '';

			$search_value = explode(':', $search_value);
			$search_items[$key] = end($search_value);
			$search_items[$key] = trim($search_items[$key]);
		}

		$search_items['query'] = $search_query;

		return $search_items;
	}
}