<?php
/**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 */

/**
 * Class AMCategoryModel
 */
class AMCategoryModel extends AMModel
{
	public function getCategories($id_lang = 0, $id_cateogory_parent = 0, $search = '')
	{
		$search_filtered = AMHelperFunctions::filterSearchQuery($search, array('id', 'text'));

		if ($id_lang == 0)
			$id_lang = Context::getContext()->language->id;

		if ($search != '')
		{
			$sql = new DbQuery();
			$sql->select('c.`id_category`, l.`name`');
			$sql->from('category', 'c');
			$sql->leftJoin('category_lang', 'l', 'c.`id_category` = l.`id_category`');
			$sql->where('c.`active` = 1');

			if ($search_filtered['id'] != '')
				$sql->where('c.`id_category` IN ('.(int)$search_filtered['id'].')');

			if ($search_filtered['text'] != '')
				$sql->where('l.`name` LIKE \'%'.$search_filtered['text'].'%\'');

			if ($search_filtered['id'] == '' && $search_filtered['text'] == '' && $search_filtered['query'] != '')
				$sql->where('l.`name` LIKE \'%'.$search_filtered['query'].'%\'');

			$sql->where('l.`id_lang` = '.(int)$id_lang);

			$sql->orderby('c.`id_category` ASC');

			return Db::getInstance()->executeS($sql);
		}
		else
		{
			if ($id_cateogory_parent == 0)
				$id_cateogory_parent = Category::getRootCategory()->id_parent;

			return $this->getSubCategories((int)$id_lang, (int)$id_cateogory_parent);
		}
	}

	public function getSubCategories($id_lang = 0, $id_cateogory_parent)
	{
		$category = new Category((int)$id_cateogory_parent);

		if ($id_lang == 0)
			$id_lang = Context::getContext()->language->id;

		$categories = $category->getSubCategories((int)$id_lang);

		return $categories;
	}

	public function getChildrenCount($id_cateogory_parent)
	{
		$result = Db::getInstance(_PS_USE_SQL_SLAVE_)->getValue(
			'SELECT COUNT(c.`id_category`) AS total
			FROM `'._DB_PREFIX_.'category` c'.Shop::addSqlAssociation('category', 'c').'
			WHERE c.`id_parent` = '.(int)$id_cateogory_parent.' AND c.`active` = 1'
		);

		return $result;
	}

	public function getAllCategoriesMeta($id_lang)
	{
		return Db::getInstance()->executeS(
			'SELECT * FROM `'._DB_PREFIX_.'category_lang` WHERE `id_lang` = '.$id_lang
		);
	}
}