{**
 * Easily manage navigation with Kahanit Awe Menu
 *
 * Kahanit Awe Menu by Kahanit(http://www.kahanit.com) is licensed under a
 * Creative Creative Commons Attribution-NoDerivatives 4.0 International License.
 * Based on a work at http://www.kahanit.com.
 * Permissions beyond the scope of this license may be available at http://www.kahanit.com.
 * To view a copy of this license, visit http://creativecommons.org/licenses/by-nd/4.0/.
 *
 * @author    Amit Sidhpura <amit@kahanit.com>
 * @copyright 2015 Kahanit
 * @license   http://creativecommons.org/licenses/by-nd/4.0/
 *}

{literal}
<div id="am-elements">
    {{#each items}}
    {{#ifCond xtype "==" "tab"}}
    <div class="am-tab" data-xtype="{{xtype}}" data-config="{{{config config}}}" data-content="+">
        <a href="#" onclick="return false;">
            <span class="am-tab-text">{{{config.text.lang_id_{/literal}{$activelang|escape:'htmlall':'UTF-8'}{literal}}}}</span>
            <span title="add tab before" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-tab-before">&nbsp;</span>
            <span title="edit tab" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-tab">&nbsp;</span>
            <span title="delete tab" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-tab">&nbsp;</span>
            <span title="move tab" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-tab">&nbsp;</span>
        </a>

        <div class="am-dropdown">
            <div class="am-sortable am-sortable-y am-sortable-rows">
                {{#if items}}
                {{> sourcetpl}}
                {{/if}}
            </div>
            <span title="add row" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-row-after">&nbsp;</span>
        </div>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "row"}}
    <div class="am-row" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-sortable am-sortable-x am-sortable-columns">
            {{#if items}}
            {{> sourcetpl}}
            {{/if}}
        </div>
        <span title="add column" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-column-after">&nbsp;</span>
        <span title="add row above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-row-before">&nbsp;</span>
        <span title="edit row" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-row">&nbsp;</span>
        <span title="delete row" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-row">&nbsp;</span>
        <span title="move row" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-row">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "column"}}
    <div class="am-column" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-sortable am-sortable-y am-sortable-items">
            {{#if items}}
            {{> sourcetpl}}
            {{/if}}
        </div>
        <span title="add item" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-after">&nbsp;</span>
        <span title="add column before" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-column-before">&nbsp;</span>
        <span title="edit column" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-column">&nbsp;</span>
        <span title="delete column" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-column">&nbsp;</span>
        <span title="move column" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-column">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "tabs"}}
    <div class="am-item am-tabs am-tabs-{{config.layout}}" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-sortable am-sortable-x am-sortable-tabs">
            {{#ifCond config.layout "==" "root"}}
            <div class="am-tab am-tab-home" data-content="+">
                <a href="#" onclick="return false;">
                    <i class="fa fa-bars"></i>
                    Menu
                </a>
            </div>
            {{/ifCond}}
            {{#if items}}
            {{> sourcetpl}}
            {{/if}}
        </div>
        <span title="add tab" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-tab-after">&nbsp;</span>
        <span title="add item above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-before">&nbsp;</span>
        <span title="edit item" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-item">&nbsp;</span>
        <span title="delete item" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-item">&nbsp;</span>
        <span title="move item" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-item">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "link"}}
    <div class="am-item am-link" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <a href="#" onclick="return false;">
            <span class="am-link-text">{{{config.text.lang_id_{/literal}{$activelang|escape:'htmlall':'UTF-8'}{literal}}}}</span>
        </a>
        <span title="add item above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-before">&nbsp;</span>
        <span title="edit item" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-item">&nbsp;</span>
        <span title="delete item" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-item">&nbsp;</span>
        <span title="move item" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-item">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "html"}}
    <div class="am-item am-html" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-item-pad">{{{config.content.lang_id_{/literal}{$activelang|escape:'htmlall':'UTF-8'}{literal}}}}</div>
        <span title="add item above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-before">&nbsp;</span>
        <span title="edit item" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-item">&nbsp;</span>
        <span title="delete item" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-item">&nbsp;</span>
        <span title="move item" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-item">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "youtube"}}
    <div class="am-item am-youtube {{config.class}}" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-item-pad">
            <iframe width="100%" height="100%" src="" frameborder="0" allowfullscreen></iframe>
        </div>
        <span title="add item above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-before">&nbsp;</span>
        <span title="edit item" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-item">&nbsp;</span>
        <span title="delete item" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-item">&nbsp;</span>
        <span title="move item" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-item">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "vimeo"}}
    <div class="am-item am-vimeo {{config.class}}" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-item-pad">
            <iframe width="100%" height="100%" src="" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
        </div>
        <span title="add item above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-before">&nbsp;</span>
        <span title="edit item" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-item">&nbsp;</span>
        <span title="delete item" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-item">&nbsp;</span>
        <span title="move item" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-item">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{#ifCond xtype "==" "googlemap"}}
    <div class="am-item am-googlemap" data-xtype="{{xtype}}" data-config="{{{config config}}}">
        <div class="am-item-pad">
            <div class="am-googlemap-container"></div>
        </div>
        <span title="add item above" data-toggle="tooltip" data-placement="top" class="am-button am-button-add am-button-add-item-before">&nbsp;</span>
        <span title="edit item" data-toggle="tooltip" data-placement="top" class="am-button am-button-edit am-button-edit-item">&nbsp;</span>
        <span title="delete item" data-toggle="tooltip" data-placement="top" class="am-button am-button-delete am-button-delete-item">&nbsp;</span>
        <span title="move item" data-toggle="tooltip" data-placement="top" class="am-button am-button-move am-button-move-item">&nbsp;</span>
    </div>
    {{/ifCond}}
    {{/each}}
</div>
{/literal}